# Generated from promotion-2.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name promotion

Name: rubygem-%{gem_name}
Version: 2.1.3
Release: 1%{?dist}
Summary: Promotion makes it possible to repeatedly deploy an application in a fast and reliable way
License: Apache-2.0
URL: http://rubygems.org/gems/promotion
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
The Promotion tool is designed to make it easy and quick to deploy an
application
into production. Originally built for use with OpenBSD, it can be used on an
*nix
system by adjusting a few paths (in config.rb).
To deploy or install an application you just need to copy a few files into
place, right?
Well, the folders need to be there first of course, oh and the permissions
need to be set,
and I guess we need the right users set up before file ownerships can be set
correctly,
which means we need groups before that ... ok, so there is more to it than
copying a few files.
There are also system-wide settings that may need to be modified to support an
application,
such as environment variables in /etc/profile, /etc/sudoers,
startup scripts in /etc/rc.conf.local, and /var/cron/tabs/* cron jobs.
Promotion does not modify these sensitive files, but it does say how to change
them.
Promotion handles all of this based on an XML deployment descriptor for each
application,
allowing rapid, reliable redeployment with a single line command (promote). It
also manages database
schema migration with the evolve/devolve commands.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/promotion.xsd
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README

%changelog
* Tue Apr 19 2022 mockbuilder - 2.1.3-1
- Initial package
